org.apache.ignite.internal.visor.cache

## Class VisorCacheStoreConfigurationV2

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheStoreConfiguration
  - - org.apache.ignite.internal.visor.cache.VisorCacheStoreConfigurationV2

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorCacheStoreConfigurationV2
    extends VisorCacheStoreConfiguration

Data transfer object for cache store configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheStoreConfigurationV2()`

### Method Summary

Methods
`VisorCacheStoreConfiguration` `from(IgniteEx ignite, CacheConfiguration ccfg)`
`boolean` `storeKeepBinary()`

### Methods inherited from class org.apache.ignite.internal.visor.cache.VisorCacheStoreConfiguration

`batchSize, enabled, flushFrequency, flushSize, flushThreadCount, jdbcStore, readThrough, store, storeFactory, toString, writeBehindEnabled, writeThrough`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheStoreConfigurationV2

    public VisorCacheStoreConfigurationV2()

### Method Detail

#### from

    public VisorCacheStoreConfiguration from(IgniteEx ignite,
                                    CacheConfiguration ccfg)

Overrides:
  `from` in class `VisorCacheStoreConfiguration`
Parameters:
  `ignite` - Ignite instance.
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for cache store configuration properties.

#### storeKeepBinary

    public boolean storeKeepBinary()

Returns:
  Keep binary in store flag.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016